name: habitrack_app
description: "A lightweight Habit Tracker."
publish_to: 'none'
version: 0.1.0

environment:
  sdk: '>=3.4.3 <4.0.0'

#isar_version: &isar_version 3.1.0

flutter_launcher_icons:
    android: "launcher_icon"
    ios: false
    image_path: "assets/icon/logo.png"
    min_sdk_android: 21 # android min sdk min:16, default 21
    web:
      generate: true
      image_path: "assets/icon/logo.png"
      background_color: "#hexcode"
      theme_color: "#hexcode"



dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  flutter_riverpod: ^2.5.1
  freezed_annotation: ^2.4.2
  go_router: ^14.2.0
  #isar: *isar_version
  #isar_flutter_libs: *isar_version
  intl: ^0.19.0
  liquid_progress_indicator_v2: ^0.5.0
  logger: ^2.3.0
  riverpod_annotation: ^2.3.5
  shared_preferences: ^2.2.3
  duration_picker: ^1.2.0
  isar: ^3.1.0+1
  json_annotation: ^4.9.0
  isar_flutter_libs: ^3.1.0+1
  path_provider: ^2.1.3
  very_good_analysis: ^6.0.0
  sembast: ^3.7.1+2
  path: ^1.9.0
  sembast_web: ^2.4.0+2
  riverpod: ^2.5.1
  fl_chart: ^0.68.0
  image: ^4.0.17
  flutter_background: ^1.2.0
  rename: ^3.0.2




dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0
  riverpod_generator: ^2.3.3
  build_runner: ^2.4.11
  custom_lint: ^0.5.11
  riverpod_lint: ^2.1.1
  isar_generator: ^3.1.0+1
  freezed: ^2.5.2
  hive_generator: ^2.0.1
  json_serializable: ^6.8.0
  flutter_launcher_icons: ^0.13.1
flutter:
  generate: true
  uses-material-design: true

